WNTextInternal::ContentZone Struct Reference

Internal: structure used to store the content structure. More...

## Public Member Functions

| ContentZone ()

## Public Attributes

int | m_type
| the type 0 : text, 1<->7 : a char flag 8<->f : a zone 10 : used to store a break More...
long | m_pos [2]
| the begin and the end pos More...
int | m_value
| a value More...

## Friends

std::ostream & | operator<< (std::ostream &o, ContentZone const &z)
| operator<< More...

## Detailed Description

Internal: structure used to store the content structure.

## Constructor & Destructor Documentation

WNTextInternal::ContentZone::ContentZone | ( |  | ) |

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | ContentZone const & | z
| ) |  |

friend

operator<<

## Member Data Documentation

long WNTextInternal::ContentZone::m_pos[2]

the begin and the end pos

Referenced by ContentZone(), WNText::parseContent(), and WNText::send().

int WNTextInternal::ContentZone::m_type

the type 0 : text, 1<->7 : a char flag 8<->f : a zone 10 : used to store a break

Referenced by WNText::createZones(), WNTextInternal::operator<<(), WNText::parseContent(), and WNText::send().

int WNTextInternal::ContentZone::m_value

a value

Referenced by WNTextInternal::operator<<(), WNText::parseContent(), and WNText::send().

The documentation for this struct was generated from the following file:

- WNText.cxx